<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<event category="CREATE" id="0">
  <actions>
    <action id="603" library="1">
      <!--action name: Code-->
      <kind>CODE</kind>
      <allowRelative>false</allowRelative>
      <question>false</question>
      <canApplyTo>true</canApplyTo>
      <actionType>CODE</actionType>
      <functionName/>
      <relative>false</relative>
      <not>false</not>
      <appliesTo>.self</appliesTo>
      <arguments>
        <argument kind="STRING">
global.plife = 4;
if (instance_exists(oPlayer1)) oPlayer1.facing = 18;
timer = 0;
highscore = false;
drawStatus = 0;

alarm[0] = 120; // lava starts rising
alarm[1] = 30; // countdown
alarm[10] = 90; // timer start

scrSetupWalls(room_height-16);

with (oSolid) invincible = true;
with (oTrapBlock) cleanDeath = false;
global.cleanSolids = false;

if (global.graphicsHigh and !global.parallax) {
  repeat (20) tile_add(bgExtras, 32*rand(0,1), 0, 32, 32, 16*rand(1,20), 16*rand(1,64), 1000000);
}
</argument>
      </arguments>
    </action>
  </actions>
</event>
